## org.hibernate.internal.jaxb.mapping.hbm
Interface SingularAttributeSource

All Superinterfaces:
  MetaAttributeContainer

All Known Implementing Classes:
  JaxbHibernateMapping.JaxbClass.JaxbId, JaxbPropertyElement

    public interface SingularAttributeSource

extends MetaAttributeContainer

Method Summary
`String` `getAccess()`
`String` `getName()`
`JaxbTypeElement` `getType()`
`String` `getTypeAttribute()`

Methods inherited from interface org.hibernate.internal.jaxb.mapping.hbm.MetaAttributeContainer
`getMeta`

Method Detail

### getName

    String getName()

### getTypeAttribute

    String getTypeAttribute()

### getType

    JaxbTypeElement getType()

### getAccess

    String getAccess()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.